//+------------------------------------------------------------------+
//| Check for close order conditions                                 |
//+------------------------------------------------------------------+
void CheckForClose()
  {
  double  i, OpenBuyLots, BuyOrders, OpenSellLots, SellOrders, BuySwap, SellSwap;
   double  TotalProfit, BuyProfit, SellProfit, TotalBuyProfit, TotalSellProfit;
     
   for(i = 0; i < OrdersTotal(); i++)
     {
      OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
       if (OrderSymbol()==Symbol() && OrderMagicNumber() == MagicNumber)
        {
         if (OrderType() == OP_BUY)
           {
            BuyProfit  +=  OrderProfit();
            BuySwap += OrderSwap();
           }
         if (OrderType() == OP_SELL)
           {
            SellProfit +=  OrderProfit();
            BuySwap += OrderSwap();
           }
        }
     }
   TotalBuyProfit = BuyProfit + BuySwap;
   TotalSellProfit = SellProfit + SellSwap;

  //---- close buy conditions 
    if(TotalBuyProfit/AccountBalance() >= ratio) CloseAllThisSymbolBuy(); 
    if(TotalSellProfit/AccountBalance() >= ratio) CloseAllThisSymbolSell();
    
    return;
  }

