//+------------------------------------------------------------------+
//|                                                    EMA_STOC.mq4 |
//|                                                      EMA_STOC Guru |
//|                                         http://www.forex-tsd.com |
//+------------------------------------------------------------------+
#property copyright "Stoc Guru"
#property link      "http://www.forex-tsd.com"

//---- input parameters
extern double    StopLoss = 25;
extern double    TakeProfit=120;
extern double    Lots=0.1;
extern double    TrailingStop=10;
//extern int    Start_Entry=7;
//extern int    Stop_Entry=21;
//extern int ShortEma = 9;
//extern int LongEma = 62;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }

int Crossed ()
   {
      int isCrossed  = 0;
      
       double sto1,sto2;
         sto1=iStochastic(NULL,0,5,3,3,MODE_SMA,0,MODE_MAIN,0);
         //sto2=iStochastic(NULL,0,5,3,3,MODE_SMA,0,MODE_SIGNAL,0);
         Print("stochastic() Main : ",sto1, "   Signal: " , sto2);

         if(sto1<=20){
            //if (sto1>sto2){
               isCrossed = 2;
               Print("open order on Buy");
            //}
         }
         if(sto1>=75){
            //if (sto1<sto2){
               isCrossed = 1;
               Print("open order on short");
            //}
         }
       return (isCrossed);
   }

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//---- 
   static int open_count_perday = 0;
   int cnt, ticket, total;
   
   
   if(Bars<100)
     {
      Print("bars less than 100");
      return(0);  
     }
   if(TakeProfit<10)
     {
      Print("TakeProfit less than 10");
      return(0);  // check TakeProfit
   }
                  int isCrossed  = 0;
                  isCrossed = Crossed ();  //Check Stoc
                  
                  total  = OrdersTotal(); 
                  if(total < 1 ) 
                    {
                      if(isCrossed == 2) //Go to Buy
                        {
                                       ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask-StopLoss*Point,Ask+TakeProfit*Point,"EASTOC",053548,0,Blue);
                                       if(ticket>0)
                                         {
                                          if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
                                         }
                                       else Print("Error opening BUY order : ",GetLastError());   
                          return(0);
                        }
                        
                 
                        if(isCrossed == 1) //Go to Short
                        {                
                                     ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Bid+StopLoss*Point,Bid-TakeProfit*Point,"EASTOC",053548,0,Red);
                                     if(ticket>0)
                                       {
                              
                                        if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
                                 
                                       }
                                     else Print("Error opening SELL order : ",GetLastError());
                        }
                        return(0);
                    }
                    
                  for(cnt=0;cnt<total;cnt++)
                    {
                     OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
                     OrderPrint();
                     if(OrderType()<=OP_SELL && OrderSymbol()==Symbol())
                       {
                        if(OrderType()==OP_BUY)   // long position is opened
                          {
                           // should it be closed?
                          if(isCrossed == 1)
                               {
                                OrderClose(OrderTicket(),OrderLots(),Bid,3,Violet); // close position
                                return(0); // exit
                               }
                           // check for trailing stop
                           if(TrailingStop>0)  
                             {                 
                              if(Bid-OrderOpenPrice()>Point*TrailingStop)
                                {
                                 if(OrderStopLoss()<Bid-Point*TrailingStop)
                                   {
                                    OrderModify(OrderTicket(),OrderOpenPrice(),Bid-Point*TrailingStop,OrderTakeProfit(),0,White);
                                    return(0);
                                   }
                                }
                             }
                          }
                        else // go to short position
                          {
                           // should it be closed?
                           if(isCrossed == 2)
                             {
                              OrderClose(OrderTicket(),OrderLots(),Ask,3,Violet); // close position
                              return(0); // exit
                             }
                           // check for trailing stop
                           if(TrailingStop>0)  
                             {                 
                              if((OrderOpenPrice()-Ask)>(Point*TrailingStop))
                                {
                                 if((OrderStopLoss()>(Ask+Point*TrailingStop)) || (OrderStopLoss()==0))
                                   {
                                    OrderModify(OrderTicket(),OrderOpenPrice(),Ask+Point*TrailingStop,OrderTakeProfit(),0,White);
                                    return(0);
                                   }
                                }
                             }
                          }
                       }
                    }
   return(0);
  }
//+------------------------------------------------------------------+